<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

if($_GET['contenedor']) $contenedorFiltrar=$_GET['contenedor']; else $contenedorFiltrar=$_POST['contenedor'];

?>
<h2>Otros palets con el mismo producto:</h2><?php

foreach($_SESSION['productos'] as $producto) {

	if($_GET['traza']=='si') {
		echo "<p>Producto:</p>";
		print_r($producto);
		echo "<p>Contenedor a filtrar: ".$contenedorFiltrar."</p>";
	}

	//22-11-2022 añadimos un nuevo parametro TRASPASO que lo pone LSB por el ticket TICKET 22048309
	$peticion='SGAUbicar#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#DETALLEALMACENPRODUCTO#'.$_SESSION['almacen'].';'.$producto['producto'].';'.'TRASPASO'.'#'.$producto['clientePropietario'];
	
	
	$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
	
	if($_GET['traza']=='si') {
		echo "<p>".$peticion."</p>";
		print_r($resultado);
	}
	
	if(!$resultado[0]['Error']) {
		
		$desplazamientoColumnas=1;
		$cuantosComportamientos=0;
		
		?>
		<p><?php echo $resultado[0]['Producto']; ?> - <?php echo $resultado[0]['Descripcion']; ?></p>
		<table class="tablaFormateada">
		<tr>
			<th>Ubicación</th>
			<th>Palet</th>
			
			<?php if($_SESSION['gestion']=='PUB' || $_SESSION['gestion']=='PUBPRI' && $clientePropietario!='PROPIO') { ?>
			<th>Cod. Cli. Prop.</th>
			<th>Nombre Cli. Prop.</th>
			<?php } ?>
			
			<?php
			foreach($_SESSION['comportamientos'] as $comportamiento) {
				if($comportamiento['Activo']) { 
					$cuantosComportamientos++;
					?><th><?php echo $comportamiento['Nombre']; ?></th><?php
				}
			} 
			?>
			<?php if($_SESSION['gestionDepositos']=='S') { ?><th>Información adicional</td><?php } ?>
			<th>Stock</th>
			<?php if($_SESSION['verEnCajas']=='S') { ?><th>Cajas</th><?php } ?>
		</tr>
		<?php
		$stock=0;
		$cajas=0;
		foreach(arreglaArrayPXMobileProxiumResult($resultado[0]['Ubicaciones']) as $ubicacion) {
			foreach(arreglaArrayPXMobileProxiumResult($ubicacion['Contenedores']) as $contenedor) {
				
				if($contenedor['Contenedor']!=$contenedorFiltrar) { //El contenedor actual pasado por POST no lo mostramos
				
					$datos=$contenedor['Datos']['PXMobileProxiumResult'];
				
					if($contenedor['UbicacionAlias']) $mostrarUbicacion=$contenedor['UbicacionAlias']; else $mostrarUbicacion=$contenedor['Ubicacion'];
					?>
					<tr>
						<td width="100"><?php echo $mostrarUbicacion; ?></td>
						<td><?php echo $contenedor['Contenedor']; ?></td>
						
						<?php if($_SESSION['gestion']=='PUB' || $_SESSION['gestion']=='PUBPRI' && $clientePropietario!='PROPIO') { ?>
						<td><?php echo $contenedor['ClientePropietario']; ?></td>
						<td><?php echo $contenedor['NombreClientePropietario']; ?></td>
						<?php } ?>
						
						
						<?php
						foreach($_SESSION['comportamientos'] as $comportamiento) {
							if($comportamiento['Activo']=='S') {
								?><td><?php
								$cadenaNumerosSerie='';
								$numerosSerie=arreglaArrayPXMobileProxiumResult($contenedor['NumerosSerie']);
								foreach($numerosSerie as $numero) {
									if(!empty($cadenaNumerosSerie)) $cadenaNumerosSerie.=';';
									$cadenaNumerosSerie.=$numero['NumeroSerie'].','.$numero['Leido'];
								}
									
								if(is_array($numerosSerie) && count($numerosSerie)>0 && $comportamiento['Codigo']=='NS') {
										?><img class="verNumerosSerie clicable" src="<?php echo DIR_IMAGENES; ?>/barcode-buscar.png" style="width:60px" numeros="<?php echo $cadenaNumerosSerie; ?>"/><?php
								}
								else foreach($datos as $dato) {
									if($dato['Codigo']==$comportamiento['Codigo']) {
										echo formateaTipo($dato['Valor'],$comportamiento['Tipo']);
										break;
									}
								}
								?></td><?php
							}
						}
						?>
						<?php if($_SESSION['gestionDepositos']=='S') { ?><td class="informacionAduanera"><?php echo $contenedor['InformacionAduanera']; ?></td><?php } ?>
						<td align="right"><?php echo number_format($contenedor['Stock'],0,',','.'); ?></td>
						<?php if($_SESSION['verEnCajas']=='S') { ?><td align="right"><?php echo number_format($contenedor['Cajas'],2,',','.'); ?></td><?php } ?>
						
					</tr>
					<?php
					$stock=$stock+$contenedor['Stock'];
					$cajas=$cajas+$contenedor['Cajas'];
				
				}
			}
		}
		
		if($_SESSION['gestionPaletizado']=='S') $desplazamientoColumnas++;
		if($_SESSION['gestion']=='PUB' || $_SESSION['gestion']=='PUBPRI' && $clientePropietario!='PROPIO') $desplazamientoColumnas=$desplazamientoColumnas+2;
		
		$colspan=$cuantosComportamientos+$desplazamientoColumnas;
		if($_SESSION['gestionDepositos']=='S') $colspan++;
		?>
		<tr>
			<td colspan="<?php echo $colspan; ?>" class="cabeceraTotal" align="right">Total</td>
			<td align="right" class="total"><?php echo number_format($stock,0,',','.'); ?></td>
		  <?php if($_SESSION['verEnCajas']=='S') { ?><td align="right" class="total"><?php echo number_format($cajas,2,',','.'); ?></td>
		  <?php } ?>
		</tr>
		</table>
		<br />

	<?php } //Fin si no hay error al sacar la info WS ?>

<?php } //Fin foreach $_SESSION productos ?>

<p><input type="button" name="botonCerrarOtrosContenedores" id="botonCerrarOtrosContenedores" value="Cerrar" class="boton reducido"/></p>

<div id="popupNumerosSerie" class="popup" style="display:none"></div>
<div id="popupNumerosSerieContenido" class="popupContenidoScroll" style="display:none"></div>
    
<script>
	
	$(document).ready(function(){
	
		$('.verNumerosSerie').on('click',function(){
			$.post('<?php echo $rutaHtml; ?>/contenidos/orden-preparacion-numeros-serie.php' , { 'numeros' : $(this).attr('numeros') , 'ocultarPreparado' : 'si' })
			.done(function(data) {
				$('#popupNumerosSerieContenido').html(data);
				$('#popupNumerosSerie').show();
				$('#popupNumerosSerieContenido').show();
					
				var posicion=$(document).scrollTop();
				$('#popupNumerosSerieContenido').offset({ top: posicion+20 });
			});
		});
		
		$('#botonCerrarOtrosContenedores').on('click',function(){
			$('#popupOtrosContenedoresContenido').hide();
			$('#popupOtrosContenedores').hide();
		});
	
	});
	
</script>